Bug 178693 - [PATCH] www/phpmyfaq: bad pkg-plist prevents pkg packaging
Summary: [PATCH] www/phpmyfaq: bad pkg-plist prevents pkg packaging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-16 21:30 UTC by John Marino
Modified: 2013-05-17 00:10 UTC (History)
0 users

See Also:


Attachments
file.diff (560 bytes, patch)
2013-05-16 21:30 UTC, John Marino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-05-16 21:30:01 UTC
The pkg tool will not package any port that has a directory in the pkg-plist.  When the repo is created, it shows a missing MANIFEST error.

The solution is to fix the pkg-plist.  Patch attached.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-05-16 21:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-05-17 00:06:26 UTC
Author: flo
Date: Thu May 16 23:06:18 2013
New Revision: 318344
URL: http://svnweb.freebsd.org/changeset/ports/318344

Log:
  Fix pkg-plist
  
  PR:		ports/178693
  Submitted by:	John Marino <draco@marino.st>

Modified:
  head/www/phpmyfaq/Makefile
  head/www/phpmyfaq/pkg-plist

Modified: head/www/phpmyfaq/Makefile
==============================================================================
--- head/www/phpmyfaq/Makefile	Thu May 16 22:54:58 2013	(r318343)
+++ head/www/phpmyfaq/Makefile	Thu May 16 23:06:18 2013	(r318344)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:	phpmyfaq
-# Date created:		2005-04-15
-# Whom:			chinsan <chinsan@mail2000.com.tw>
-#
+# Created by: chinsan <chinsan@mail2000.com.tw>
 # $FreeBSD$
-#
 
 PORTNAME=	phpmyfaq
 PORTVERSION=	2.7.9
+PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	http://www.phpmyfaq.de/download/
 

Modified: head/www/phpmyfaq/pkg-plist
==============================================================================
--- head/www/phpmyfaq/pkg-plist	Thu May 16 22:54:58 2013	(r318343)
+++ head/www/phpmyfaq/pkg-plist	Thu May 16 23:06:18 2013	(r318344)
@@ -654,7 +654,6 @@
 %%WWWDIR%%/admin/editor/themes/advanced/skins/highcontrast/ui.css
 %%WWWDIR%%/admin/editor/themes/advanced/skins/cirkuit/content.css
 %%WWWDIR%%/admin/editor/themes/advanced/skins/cirkuit/dialog.css
-%%WWWDIR%%/admin/editor/themes/advanced/skins/cirkuit/img
 %%WWWDIR%%/admin/editor/themes/advanced/skins/cirkuit/img/butt2.png
 %%WWWDIR%%/admin/editor/themes/advanced/skins/cirkuit/img/button-bg.png
 %%WWWDIR%%/admin/editor/themes/advanced/skins/cirkuit/img/buttons.png
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Florian Smeets freebsd_committer 2013-05-17 00:06:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!